Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding
Class DefaultGrailsResponseHandlerFactory

    java.lang.Object
      org.codehaus.groovy.grails.scaffolding.DefaultGrailsResponseHandlerFactory

All Implemented Interfaces:
  ScaffoldResponseHandlerFactory

    public class DefaultGrailsResponseHandlerFactory

extends Object
implements ScaffoldResponseHandlerFactory

The default implementation of a ScaffoldResponseHandlerFactory that uses the uri extension to look-up an appropriate response handler. If none exists for the uri suffix it returns the default response handler

Since:
  0.1 Created: 30 Nov 2005
Author:
  Graeme Rocher

Constructor Summary
`DefaultGrailsResponseHandlerFactory(GrailsApplication application, ScaffoldResponseHandler defaultResponseHandler)`

Method Summary
`ScaffoldResponseHandler` | `getScaffoldResponseHandler(String uri)` Retrieves a scaffold response handler for the specified uri

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGrailsResponseHandlerFactory

    public DefaultGrailsResponseHandlerFactory(GrailsApplication application,
                                               ScaffoldResponseHandler defaultResponseHandler)

Method Detail

### getScaffoldResponseHandler

    public ScaffoldResponseHandler getScaffoldResponseHandler(String uri)

  Description copied from interface: `ScaffoldResponseHandlerFactory`
  Retrieves a scaffold response handler for the specified uri

  Specified by:
    `getScaffoldResponseHandler` in interface `ScaffoldResponseHandlerFactory`
  Parameters:
    `uri` - The URI of the ScaffoldResponseHandler to look-up
  Returns:
    A ScaffoldResponseHandler instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project